Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1653220 - [abrt] dnssec-trigger: check_call(): subprocess.py:341:check_call:subprocess.CalledProcessError: Command '['unbound-control', 'set_option', 'cache-max-negative-ttl:', '5']' returned non-zero exit status 1.
Summary: [abrt] dnssec-trigger: check_call(): subprocess.py:341:check_call:subprocess....
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-trigger
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6da442bfade8d64ae34840e1091...
: 1661098 1679204 1689506 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 09:56 UTC by Ashutosh
Modified: 2020-05-26 16:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:47:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.27 KB, text/plain)
2018-11-26 09:56 UTC, Ashutosh
no flags Details
File: cgroup (333 bytes, text/plain)
2018-11-26 09:56 UTC, Ashutosh
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-11-26 09:56 UTC, Ashutosh
no flags Details
File: environ (193 bytes, text/plain)
2018-11-26 09:56 UTC, Ashutosh
no flags Details
File: mountinfo (3.18 KB, text/plain)
2018-11-26 09:56 UTC, Ashutosh
no flags Details
File: namespaces (129 bytes, text/plain)
2018-11-26 09:56 UTC, Ashutosh
no flags Details
File: open_fds (869 bytes, text/plain)
2018-11-26 09:56 UTC, Ashutosh
no flags Details

Description Ashutosh 2018-11-26 09:56:17 UTC
Version-Release number of selected component:
dnssec-trigger-0.15-7.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 -sE /usr/libexec/dnssec-trigger-script --setup
crash_function: check_call
exception_type: subprocess.CalledProcessError
executable:     /usr/libexec/dnssec-trigger-script
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.4-300.fc29.x86_64
runlevel:       unknown
type:           Python3
uid:            0

Truncated backtrace:
subprocess.py:341:check_call:subprocess.CalledProcessError: Command '['unbound-control', 'set_option', 'cache-max-negative-ttl:', '5']' returned non-zero exit status 1.

Traceback (most recent call last):
  File "/usr/libexec/dnssec-trigger-script", line 748, in <module>
    main()
  File "/usr/libexec/dnssec-trigger-script", line 735, in main
    Application(sys.argv).run()
  File "/usr/libexec/dnssec-trigger-script", line 470, in run
    self.method()
  File "/usr/libexec/dnssec-trigger-script", line 554, in run_setup
    self._unbound_set_negative_cache_ttl(UNBOUND_MAX_NEG_CACHE_TTL)
  File "/usr/libexec/dnssec-trigger-script", line 639, in _unbound_set_negative_cache_ttl
    subprocess.check_call(CMD, stdout=DEVNULL, stderr=DEVNULL)
  File "/usr/lib64/python3.7/subprocess.py", line 341, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['unbound-control', 'set_option', 'cache-max-negative-ttl:', '5']' returned non-zero exit status 1.

Local variables in innermost frame:
popenargs: (['unbound-control', 'set_option', 'cache-max-negative-ttl:', '5'],)
kwargs: {'stdout': <_io.BufferedWriter name='/dev/null'>, 'stderr': <_io.BufferedWriter name='/dev/null'>}
retcode: 1
cmd: ['unbound-control', 'set_option', 'cache-max-negative-ttl:', '5']

Comment 1 Ashutosh 2018-11-26 09:56:24 UTC
Created attachment 1508515 [details]
File: backtrace

Comment 2 Ashutosh 2018-11-26 09:56:25 UTC
Created attachment 1508516 [details]
File: cgroup

Comment 3 Ashutosh 2018-11-26 09:56:27 UTC
Created attachment 1508517 [details]
File: cpuinfo

Comment 4 Ashutosh 2018-11-26 09:56:29 UTC
Created attachment 1508518 [details]
File: environ

Comment 5 Ashutosh 2018-11-26 09:56:31 UTC
Created attachment 1508519 [details]
File: mountinfo

Comment 6 Ashutosh 2018-11-26 09:56:32 UTC
Created attachment 1508520 [details]
File: namespaces

Comment 7 Ashutosh 2018-11-26 09:56:34 UTC
Created attachment 1508521 [details]
File: open_fds

Comment 8 Ashutosh 2018-12-20 06:26:01 UTC
*** Bug 1661098 has been marked as a duplicate of this bug. ***

Comment 9 Paul Wouters 2019-08-27 14:00:12 UTC
*** Bug 1679204 has been marked as a duplicate of this bug. ***

Comment 10 Paul Wouters 2019-08-27 14:02:42 UTC
*** Bug 1689506 has been marked as a duplicate of this bug. ***

Comment 11 Ben Cotton 2020-04-30 21:15:40 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2020-05-26 16:47:49 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.